Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.profile
Class DefaultPropValue

    java.lang.Object
      |
      +--jpos.profile.DefaultPropValue

All Implemented Interfaces:
  PropValue, java.io.Serializable

class DefaultPropValue
extends java.lang.Object
implements PropValue, java.io.Serializable

Class implementing the PropValue interface

Since:
  1.3 (SF 2K meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)
See Also:
  Serialized Form

Constructor Summary
`(package private)` | `DefaultPropValue(java.lang.Object obj, PropType propType)` 2-arg ctor taking Object value

Method Summary
`boolean` | `equals(java.lang.Object propValue)`
`PropType` | `getType()`
`java.lang.Object` | `getValue()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`, clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultPropValue

    DefaultPropValue(java.lang.Object obj,
                     PropType propType)

  2-arg ctor taking Object value
  Parameters:
    `obj` - the Object value
    `propType` - the PropType

Method Detail

### getValue

    public java.lang.Object getValue()

  Specified by:
    `getValue` in interface `PropValue`
  Returns:
    the Java object that this value represents

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `PropValue`
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a String representation of this value

### getType

    public PropType getType()

  Specified by:
    `getType` in interface `PropValue`
  Returns:
    the PropType for this PropValue

### equals

    public boolean equals(java.lang.Object propValue)

  Specified by:
    `equals` in interface `PropValue`
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `other` - the other PropValue
  Returns:
    true if this and the other value are equal

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details